Package com.smartgwt.logicalstructure.widgets.form

# Class FilterBuilderLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.form.FilterBuilderLogicalStructure

public class FilterBuilderLogicalStructure extends LayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `addButtonPrompt`
  `DataSource[]`
  `aggregationDataSources`
  `String`
  `allowAggregates`
  `String[]`
  `allowedFields`
  `String`
  `allowEmpty`
  `String`
  `allowRelatedRecordCriteria`
  `AdvancedCriteria`
  `criteria`
  `DataSource`
  `dataSourceAsDataSource`
  `String`
  `dataSourceAsString`
  `DataSource`
  `fieldDataSourceAsDataSource`
  `String`
  `fieldDataSourceAsString`
  `String`
  `fieldPickerTitle`
  `String`
  `fieldPickerWidthAsString`
  `String`
  `fieldQueryWindowTitle`
  `String`
  `iconBaseStyle`
  `String`
  `iconSize`
  `String`
  `indirectRelationCancelButtonTitle`
  `String`
  `indirectRelationNextMatchPrompt`
  `String`
  `indirectRelationPickerTitle`
  `String`
  `indirectRelationPrevMatchPrompt`
  `String`
  `indirectRelationSearchHint`
  `String`
  `indirectRelationSelectButtonTitle`
  `String`
  `indirectRelationTriggerTitle`
  `String`
  `inlineAndNotTitle`
  `String`
  `inlineAndTitle`
  `String`
  `inlineOrTitle`
  `String`
  `lastClausePrompt`
  `String`
  `matchAllTitle`
  `String`
  `matchAnyTitle`
  `String`
  `matchNoneTitle`
  `String`
  `missingFieldPrompt`
  `String`
  `modeSwitcherAdvancedMessage`
  `String`
  `modeSwitcherFlattenWarningMessage`
  `String`
  `modeSwitcherSimpleMessage`
  `String`
  `operatorPickerTitle`
  `String`
  `operatorPickerWidthAsString`
  `String`
  `radioOperatorTitle`
  `String`
  `rangeSeparator`
  `String`
  `removeButtonPrompt`
  `String`
  `retainValuesAcrossFields`
  `String`
  `saveOnEnter`
  `String`
  `showAddButton`
  `String`
  `showFieldTitles`
  `String`
  `showHiddenFields`
  `String`
  `showLastRemoveButton`
  `String`
  `showModeSwitcher`
  `String`
  `showRemoveButton`
  `String`
  `showSelectionCheckbox`
  `String`
  `showSubClauseButton`
  `String`
  `sortFields`
  `String`
  `specialValuesCSS`
  `String`
  `subClauseButtonPrompt`
  `String`
  `subClauseButtonTitle`
  `String`
  `topOperator`
  `String`
  `topOperatorAppearance`
  `String`
  `topOperatorItemWidthAsString`
  `String[]`
  `topOperatorOptions`
  `String`
  `topOperatorTitle`
  `String`
  `validateOnChange`
  `String`
  `valueItemWidthAsString`
  `String`
  `valuePathHint`
  `String`
  `valueQueryAggregateButtonPrompt`
  `String`
  `valueQueryAggregatePrefix`
  `String`
  `valueQueryRelatedFieldButtonPrompt`
  `String`
  `valueQueryRelatedFieldPrefix`
  `String`
  `valueQueryWindowTitle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, editProxyConstructor, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterBuilderLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### addButtonPrompt

    public String addButtonPrompt

  - ### aggregationDataSources

    public DataSource[] aggregationDataSources

  - ### allowAggregates

    public String allowAggregates

  - ### allowedFields

    public String[] allowedFields

  - ### allowEmpty

    public String allowEmpty

  - ### allowRelatedRecordCriteria

    public String allowRelatedRecordCriteria

  - ### criteria

    public AdvancedCriteria criteria

  - ### dataSourceAsDataSource

    public DataSource dataSourceAsDataSource

  - ### dataSourceAsString

    public String dataSourceAsString

  - ### fieldDataSourceAsDataSource

    public DataSource fieldDataSourceAsDataSource

  - ### fieldDataSourceAsString

    public String fieldDataSourceAsString

  - ### fieldPickerTitle

    public String fieldPickerTitle

  - ### fieldPickerWidthAsString

    public String fieldPickerWidthAsString

  - ### fieldQueryWindowTitle

    public String fieldQueryWindowTitle

  - ### iconBaseStyle

    public String iconBaseStyle

  - ### iconSize

    public String iconSize

  - ### indirectRelationCancelButtonTitle

    public String indirectRelationCancelButtonTitle

  - ### indirectRelationNextMatchPrompt

    public String indirectRelationNextMatchPrompt

  - ### indirectRelationPickerTitle

    public String indirectRelationPickerTitle

  - ### indirectRelationPrevMatchPrompt

    public String indirectRelationPrevMatchPrompt

  - ### indirectRelationSearchHint

    public String indirectRelationSearchHint

  - ### indirectRelationSelectButtonTitle

    public String indirectRelationSelectButtonTitle

  - ### indirectRelationTriggerTitle

    public String indirectRelationTriggerTitle

  - ### inlineAndNotTitle

    public String inlineAndNotTitle

  - ### inlineAndTitle

    public String inlineAndTitle

  - ### inlineOrTitle

    public String inlineOrTitle

  - ### lastClausePrompt

    public String lastClausePrompt

  - ### matchAllTitle

    public String matchAllTitle

  - ### matchAnyTitle

    public String matchAnyTitle

  - ### matchNoneTitle

    public String matchNoneTitle

  - ### missingFieldPrompt

    public String missingFieldPrompt

  - ### modeSwitcherAdvancedMessage

    public String modeSwitcherAdvancedMessage

  - ### modeSwitcherFlattenWarningMessage

    public String modeSwitcherFlattenWarningMessage

  - ### modeSwitcherSimpleMessage

    public String modeSwitcherSimpleMessage

  - ### operatorPickerTitle

    public String operatorPickerTitle

  - ### operatorPickerWidthAsString

    public String operatorPickerWidthAsString

  - ### radioOperatorTitle

    public String radioOperatorTitle

  - ### rangeSeparator

    public String rangeSeparator

  - ### removeButtonPrompt

    public String removeButtonPrompt

  - ### retainValuesAcrossFields

    public String retainValuesAcrossFields

  - ### saveOnEnter

    public String saveOnEnter

  - ### showAddButton

    public String showAddButton

  - ### showFieldTitles

    public String showFieldTitles

  - ### showHiddenFields

    public String showHiddenFields

  - ### showLastRemoveButton

    public String showLastRemoveButton

  - ### showModeSwitcher

    public String showModeSwitcher

  - ### showRemoveButton

    public String showRemoveButton

  - ### showSelectionCheckbox

    public String showSelectionCheckbox

  - ### showSubClauseButton

    public String showSubClauseButton

  - ### sortFields

    public String sortFields

  - ### specialValuesCSS

    public String specialValuesCSS

  - ### subClauseButtonPrompt

    public String subClauseButtonPrompt

  - ### subClauseButtonTitle

    public String subClauseButtonTitle

  - ### topOperator

    public String topOperator

  - ### topOperatorAppearance

    public String topOperatorAppearance

  - ### topOperatorItemWidthAsString

    public String topOperatorItemWidthAsString

  - ### topOperatorOptions

    public String[] topOperatorOptions

  - ### topOperatorTitle

    public String topOperatorTitle

  - ### validateOnChange

    public String validateOnChange

  - ### valueItemWidthAsString

    public String valueItemWidthAsString

  - ### valuePathHint

    public String valuePathHint

  - ### valueQueryAggregateButtonPrompt

    public String valueQueryAggregateButtonPrompt

  - ### valueQueryAggregatePrefix

    public String valueQueryAggregatePrefix

  - ### valueQueryRelatedFieldButtonPrompt

    public String valueQueryRelatedFieldButtonPrompt

  - ### valueQueryRelatedFieldPrefix

    public String valueQueryRelatedFieldPrefix

  - ### valueQueryWindowTitle

    public String valueQueryWindowTitle

- ## Constructor Details

  - ### FilterBuilderLogicalStructure

    public FilterBuilderLogicalStructure()